<?xml version="1.0" encoding="UTF-8"?>
<!-- Last modified: 2011-11-15
wpsl2xul-tree-0.xsl		-		Simplest presentation of a sitelist

Create an non-nested XUL treeview out of a <WP:list> file.
-->
<!DOCTYPE window SYSTEM "chrome://wikipediaPlus/locale/options.dtd">
<xsl:stylesheet version="1.0" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" xmlns:WP="http://RobinUpton.com/WP/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/WP:list">
		<tree id="siteListTree" seltype="single" align="stretch" flex="1" hidecolumnpicker="false" enableColumnDrag="true" editable="true" onclick="onSiteListTreeClick(event);" onselect="onSiteListTreeSelect();" onkeypress="onSiteListTreeSelect();">
			<treecols>
				<treecol id="name" flex="6" label="&sites.xsl.name;" editable="false"/>
				<treecol id="lang" flex="3" label="&sites.xsl.languages;" editable="false" hidden="true"/>
				<treecol id="enabled" flex="2" hidden="true" label="Enabled" editable="false"/>
				<treecol id="URL" flex="18" label="&sites.xsl.URL;" editable="false"/>
				<treecol id="icon" flex="11" label="&sites.xsl.icon;" editable="false" hidden="true"/>
				<treecol id="key" flex="1" label="&sites.xsl.key;" editable="false" hidden="true"/>
			</treecols>
			<treechildren><xsl:apply-templates/></treechildren>
		</tree>
	</xsl:template>
	<xsl:template match="WP:site[last()>position()]">
		<treeitem>
			<treerow>
				<xsl:variable name="iconURL">
					<xsl:value-of select="@icon"/>
					<xsl:if test="not(@icon)">chrome://wikipediaPlus/content/images/site.png</xsl:if>
				</xsl:variable>
				<treecell id="name" iconURL="{$iconURL}" label=" {@name}" editable="false"/>
				<treecell id="lang" label="{@lang}" editable="false"/>
				<treecell id="enabled" flex="2" label="Enabled" editable="true"/>
				<treecell id="URL" label="{@url}" editable="false"/>
				<treecell id="icon" label="{@icon}" editable="false"/>
				<treecell id="key" label="{@key}" editable="false"/>
			</treerow>
		</treeitem>
	</xsl:template>
	<xsl:template match="WP:list"><xsl:apply-templates/></xsl:template>
</xsl:stylesheet>
