// Copyright (c) 2011 Robin Upton <wikipediaPlus [AŦ] RobinUpton [Ð0ŧ] com>
// Last modified: 2011-07-18

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 3 of the
// License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA
const nsWP= "http://RobinUpton.com/WP/";
var WPManager;
var siteList;
var pageArray;
var selectedSiteIndex=-1;
var selectedPageIndex=-1;

function getSB() 				{ return document.getElementById("string-bundle"); }
function getAboutLabel()		{ return document.getElementById("aboutText"); }
function getCurrentSite()    	{ return getSiteListItem(getSiteListTreeIndex()); }
function getEnabled()			{ return document.getElementById("enabled"); }
function getMaxConnInput()		{ return document.getElementById("maxConnections"); }
function getMaxSuggInput()		{ return document.getElementById("maxSuggestions"); }
function getNotificationFormat(){ return document.getElementById("notificationFormat"); }
function getOptionsTabbox()		{ return document.getElementById("optionsTabbox"); }
function getSameLanguage()		{ return document.getElementById("sameLanguage"); }
function getSearchWhile()		{ return document.getElementById("searchWhile"); }
function getShowCancelMenu()	{ return document.getElementById("showCancel"); }
function getShowIcon()			{ return document.getElementById("showIcon"); }
function getShowPreferredOnly()	{ return document.getElementById("showPreferredOnly"); }
function getSiteDemoteButton()	{ return document.getElementById("siteDemoteButton"); }
function getSitePromoteButton()	{ return document.getElementById("sitePromoteButton"); }
function getSiteEditButton()	{ return document.getElementById("siteEditButton"); }
function getSiteRemoveButton()	{ return document.getElementById("siteRemoveButton"); }
function getSuggestionFormat()	{ return document.getElementById("suggestionFormat"); }
function getSuggestionLocation(){ return document.getElementById("suggestionLocation"); }
function getPageEditButton()	{ return document.getElementById("pageEditButton"); }
function getPageRemoveButton()	{ return document.getElementById("pageRemoveButton"); }
function getPageListItem(index) { var temp=childElements(siteList.documentElement); return temp[index]; }
function getPageListTree()		{ return document.getElementById("pageListTree"); }
function getPageListTreeIndex()	{ return getPageListTree().currentIndex; }
function getSiteListItem(index) { var temp=childElements(siteList.documentElement); return temp[index]; }
function getSiteListTree()		{ return document.getElementById("siteListTree"); }
function getSiteListTreeIndex()	{ return getSiteListTree().currentIndex; }
function setSiteListTreeIndex(i){ getSiteListTree().selected =i; }
function getSiteListTreeLength(){ return getSiteListTree().view.rowCount; }
function getSitesTreeParent()	{ return document.getElementById("sitesTreeParent"); }
function getStatusbarFormat()	{ return document.getElementById("statusbarFormat"); }
function getStatusIcon()		{ return document.getElementById("showIcon"); }
function onExportPage()			{ alert (saveXML(getPageDOM())); }
function onExportSite()			{ alert (saveXML(siteList)); }

function onOptionsLoad() {
	try { WPManager= Components.classes['@robinupton.com/WPmanager;1'].getService().wrappedJSObject; }
	catch (ex)
		{
//		if (ex.message=="Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]")
		alert ("Karma failure. Couldn't initialise '@robinupton.com/WPmanager;1' NSIComponent.\n\n["+ex.message+"]\n\n Try uninstalling and reinstalling this add-in??");
		}
	WPManager.initializeSiteList(); 		// Not sure quite why this is needed :) 2011-07-10
	siteList= 								WPManager.getSiteList();
	pageArray= 								WPManager.getPageArray();
	update(1,1);
	getEnabled().checked=					WPManager.enabled;
	getMaxConnInput().value= 				WPManager.maxConnections;
	getMaxSuggInput().value= 				WPManager.maxSuggestions;
	getSameLanguage().checked=				WPManager.sameLanguage;
	getSearchWhile().checked= 				WPManager.searchWhile;
	getShowCancelMenu().selectedIndex= 		WPManager.showCancel;
	getShowIcon().checked= 					WPManager.showIcon;
	getShowPreferredOnly().checked= 		WPManager.showPreferredOnly;
	getStatusbarFormat().selectedIndex= 	WPManager.statusbarFormat;
	getNotificationFormat().selectedIndex= 	WPManager.notificationFormat;
	getOptionsTabbox().selectedIndex= 		WPManager.optionsTopTab;
	getSuggestionFormat().selectedIndex= 	WPManager.suggestionFormat;
	getSuggestionLocation().selectedIndex=	WPManager.suggestionLocation;
	getAboutLabel().value= getSB().getString('wikipediaPlus')+" "+getSB().getString('version')+ WPManager.extensionVersion;
//	setUpPagesTree();
//   var observerService = Components.classes["@mozilla.org/observer-service;1"]
 //   .getService(Components.interfaces.nsIObserverService);  
   // observerService.notifyObservers(observerService, "WP-status", false);
 
}

function onAddSite() {
	var retVal = {site: siteList.createElementNS(nsWP,"site"), OK:false};
	window.openDialog("chrome://wikipediaPlus/content/addEditSite.xul", "dialog2", "modal,resizable,scrollbars,status,chrome", retVal).focus();
	var index= getSiteListTreeIndex();
	if (index==-1) index=0;
	if (retVal.OK) moveSiteListItem(retVal.site, index);
	update(0,1);
}

function onEditSite() {
	var retVal = {site: getCurrentSite()};
	window.openDialog("chrome://wikipediaPlus/content/addEditSite.xul", "dialog2", "modal,resizable,scrollbars,status,chrome", retVal);
	WPManager.changeSiteList();
	update(0,1);
}

function onEditPage() {
	//getPageListTree().startEditing(1,1);
	//update(1,0);
}

function onAddPage() {
	this.WPManager.addPage("New-Page");
	update(1,0);
}

function getPageDOM() {
	var pageDOM= document.implementation.createDocument("", "", null);
	var root=pageDOM.createElementNS(nsWP,"pages");
	for (var i=0; i<pageArray.length;i++) 
		{
		root.appendChild(pageDOM.importNode(pageArray[i],true));
		}
	pageDOM.appendChild(root);
	return pageDOM;
}

function onRemovePage() {
	if (getPageListTreeIndex()==-1) return;
	pageArray.splice(getPageListTreeIndex(), 1);
	WPManager.setPageList(getPageDOM());
	selectedPageIndex--;
	update(1,0);
}

function onGoRU() {
	var newTab= Application.activeWindow.open(url("http://www.RobinUpton.com?WP="+WPManager.extensionVersion));
	newTab.focus();
}

function onGoWP() {
	var newTab= Application.activeWindow.open(url("http://www.WikipediaPlus.org?version="+WPManager.extensionVersion));
	newTab.focus();
}

function onOptionsSave() {
	WPManager.setSiteList(siteList);
	//WPManager.setPageList(pageList);
	WPManager.maxConnections= 		getMaxConnInput().value;
	WPManager.maxSuggestions= 		getMaxSuggInput().value;
	WPManager.notificationFormat=	getNotificationFormat().selectedIndex;
	WPManager.optionsTopTab= 		getOptionsTabbox().selectedIndex;
	WPManager.enabled=		 		getEnabled().checked;
	WPManager.sameLanguage=			getSameLanguage().checked;
	WPManager.searchWhile= 			getSearchWhile().checked;
	WPManager.showCancel= 			getShowCancelMenu().selectedIndex;
	WPManager.showIcon= 			getShowIcon().checked;
	WPManager.statusbarFormat=		getStatusbarFormat().selectedIndex;
	WPManager.showPreferredOnly= 	getShowPreferredOnly().checked;
	WPManager.suggestionFormat=		getSuggestionFormat().selectedIndex;
	WPManager.suggestionLocation=	getSuggestionLocation().selectedIndex;
	WPManager.update();
	return true;
}

function onDemoteSite() {
	if (getSiteDemoteButton().disabled) return;
	moveSiteListItem(getCurrentSite(), getSiteListTreeIndex()+2);
	selectedSiteIndex++;
	update(0,1);
}

function onPromoteSite() {
	if (getSitePromoteButton().disabled) return;
	moveSiteListItem(getCurrentSite(), getSiteListTreeIndex()-1);
	selectedSiteIndex--;
	update(0,1);
}

function onRemoveSite() {
	var temp=getCurrentSite();
	if (typeof(temp)=="undefined") selectedSiteIndex=-1;
	else temp.parentNode.removeChild(temp);
	WPManager.changeSiteList();
	update(0,1);
}

function onSiteListTreeClick(event) {
	if (event.detail > 1) onEditSite(); //Dbl+ click
}

function onPageListTreeSelect() {
	selectedPageIndex=getPageListTreeIndex();
	updateButtonsAndSelection(1, 0);
}

function onSiteListTreeSelect() {
	selectedSiteIndex=getSiteListTreeIndex();
	updateButtonsAndSelection(0, 1);
}

function moveSiteListItem(fromItem, toIndex)
{
	var toItem   =getSiteListItem(toIndex);
//	alert("MOVE FROM "+fromIndex+" TO "+(toIndex)+"\n"+saveXML(siteList));
	if (typeof(toItem)=='undefined') siteList.documentElement.appendChild(fromItem);
	else siteList.documentElement.insertBefore(fromItem, toItem);
}

function update(pages, sites) {
	if (pages) setUpPagesTree();
	if (sites) setUpSitesTree();
	updateButtonsAndSelection(pages, sites);
}

function updateButton(XULelement, status) {
    XULelement.disabled= (!status);
    XULelement.image=  "chrome://wikipediaPlus/content/images/"+XULelement.id.substring(4)+status+".png";
//    alert (XULelement.image);
}

function updateButtonsAndSelection(page, site) {
	if (site)
		{
		updateButton(getSiteEditButton(), 	0+(selectedSiteIndex>=0));
		updateButton(getSiteRemoveButton(), 0+(selectedSiteIndex>=0));
		updateButton(getSitePromoteButton(),0+(selectedSiteIndex>0));
		updateButton(getSiteDemoteButton(), 0+(selectedSiteIndex>-1 && selectedSiteIndex+1<getSiteListTreeLength()));
		getSiteListTree().view.selection.select(selectedSiteIndex);
		}
	if (page)
		{
		//updateButton(getPageEditButton(), 	0+(selectedPageIndex>=0));
		updateButton(getPageRemoveButton(), 0+(selectedPageIndex>=0));
		getPageListTree().view.selection.select(selectedPageIndex);
		}
}

function url(path) {
	var ioSvc = Components.classes["@mozilla.org/network/io-service;1"].getService(Components.interfaces.nsIIOService);
	return ioSvc.newURI(path, null, null);
}

function setUpSitesTree() {
	var temp=getSitesTreeParent();
	removeChildNodes(temp);
	appendFragment(temp, transformToFragment(siteList, WPManager.getStylesheet(0)));
	setSiteListTreeIndex(selectedSiteIndex);
	var temptreecells=getSiteListTree().ownerDocument.evaluate(".//xul:treecell[@iconURL]", getSiteListTree(), function() { return "http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"; }, XPathResult.ANY_TYPE, null);
	var treecells= new Array(); 
	while (temp = temptreecells.iterateNext()) treecells.push(temp);
	for (var i=0; i<treecells.length; i++) // Refer to the cache
		treecells[i].setAttribute('src', treecells[i].getAttribute('iconURL'));
	return;
}

function setUpPagesTree() {
	var pagesTree= getPageListTree();
	var pages=WPManager.getPageArray();
	pagesTree.view = {  
		rowCount : pages.length,
		getCellText :	function(row, col) { 
//			if (col.id=="enabled") return pages[row].getAttribute("enabled")+0;
			//else 
			return pages[row].getAttribute("name"); 
			},
		getCellValue:	function(row, col) { return 3; },
		setCellText: 	function(row, col, val) { 
			//if (col.id=="enabled") pages[row].setAttribute("enabled", val)= 1-pages[row].getAttribute("name");
			//else 
			pages[row].setAttribute("name", val);
			setUpPagesTree(); },
		getParentIndex:	function()			{} , // ???
		setTree: 		function(treebox)	{ this.treebox = treebox; },
		isContainer: 	function(row)		{ return false; },  
		isSeparator: 	function(row)		{ return false; },  
		isSorted: 		function()			{ return false; },  
		isEditable: 	function(row, col)	{ return true; },
		getLevel: 		function(row)		{ return 0; },  
		getImageSrc: 	function(row, col)	{ },  
		getRowProperties: function(row,props){},  
		getCellProperties: function(row,col,props){},  
		getColumnProperties: function(colid,col,props){}  
	  };    
}
